Source language: Translate to:

Vista Compatibility

Questions related to the distribution, marketing and selling of applications created with NeoBook. (Formally titled: "Making Money with NeoBook")

Moderators: Neosoft Support, Wrangler

Vista Compatibility

Postby Wrangler » Tue Jul 24, 2007 9:01 am

Info for those of you who distribute shareware with concerns about Windows Vista.

After testing, Neobook compiled exe's appear to work fine with Vista. Whether installed in Program Files folder or not. I had a problem where the registration code wouldn't take. It would have to be entered each time the program was run. This turned out to be Ronnie's rtprotect plug. IT IS NOT VISTA COMPATIBLE. Attempts to reach Ronnie has failed, so I assume he has no interest in supporting his plugs. (Yet his site still sells it).

I didn't test this on EVERY version of Vista. And there are a bunch. But I would assume that if it works on one, it will the others.

Anyway, I have had NO support tickets about this since switching to Armadillo for protection.
Wrangler
--------------
"You never know about a woman. Whether she'll laugh, cry or go for a gun." - Louis L'Amour

Windows 7 Ultimate SP1 64bit
16GB Ram
Asus GTX 950 OC Strix
Software made with NeoBook
http://highdesertsoftware.com
User avatar
Wrangler
 
Posts: 1505
Joined: Thu Mar 31, 2005 11:40 pm
Location: USA

Postby Odd » Thu Oct 11, 2007 5:10 am

Can you provide me with the internal version number of Windows Vista? Is it 6.0, as XP is 5.1?

I don't have Vista installed, but would test for Vista on the user's systems when starting my pub.
User avatar
Odd
 
Posts: 81
Joined: Sat Apr 02, 2005 3:34 am
Location: Norway

Postby Wrangler » Thu Oct 11, 2007 7:38 am

Hi Odd,

Internal version number is NT 6.0.
Wrangler
--------------
"You never know about a woman. Whether she'll laugh, cry or go for a gun." - Louis L'Amour

Windows 7 Ultimate SP1 64bit
16GB Ram
Asus GTX 950 OC Strix
Software made with NeoBook
http://highdesertsoftware.com
User avatar
Wrangler
 
Posts: 1505
Joined: Thu Mar 31, 2005 11:40 pm
Location: USA

Postby Odd » Thu Oct 11, 2007 8:00 am

Thank you, Wrangler.

Do this mean that it's necessary to do an if [WindowsVer] = "NT 6.0", or may we just do an if on "6.0"?

Today I do an if on > 5 to match systems with Win2000 and XP, and would like to change this to an > 5 and < 6, and another if on > 6, so I can do different things on old Windows versions, newer versions and the Vista.
User avatar
Odd
 
Posts: 81
Joined: Sat Apr 02, 2005 3:34 am
Location: Norway

Postby Wrangler » Thu Oct 11, 2007 8:17 am

Stand by, Odd. I will see what [WindowsVer] returns so you can be accurate by making a small pub.
Wrangler
--------------
"You never know about a woman. Whether she'll laugh, cry or go for a gun." - Louis L'Amour

Windows 7 Ultimate SP1 64bit
16GB Ram
Asus GTX 950 OC Strix
Software made with NeoBook
http://highdesertsoftware.com
User avatar
Wrangler
 
Posts: 1505
Joined: Thu Mar 31, 2005 11:40 pm
Location: USA

Postby Wrangler » Thu Oct 11, 2007 8:21 am

Got it. It's just plain 6.0.
Wrangler
--------------
"You never know about a woman. Whether she'll laugh, cry or go for a gun." - Louis L'Amour

Windows 7 Ultimate SP1 64bit
16GB Ram
Asus GTX 950 OC Strix
Software made with NeoBook
http://highdesertsoftware.com
User avatar
Wrangler
 
Posts: 1505
Joined: Thu Mar 31, 2005 11:40 pm
Location: USA

Postby Odd » Thu Oct 11, 2007 11:07 pm

Thanks again!

Just what I wanted to hear. You saved me an upgrade! 8)
User avatar
Odd
 
Posts: 81
Joined: Sat Apr 02, 2005 3:34 am
Location: Norway

Postby Wrangler » Fri Oct 12, 2007 8:03 am

You're welcome, Odd. Glad I could help. Let me know if you need more help.
Wrangler
--------------
"You never know about a woman. Whether she'll laugh, cry or go for a gun." - Louis L'Amour

Windows 7 Ultimate SP1 64bit
16GB Ram
Asus GTX 950 OC Strix
Software made with NeoBook
http://highdesertsoftware.com
User avatar
Wrangler
 
Posts: 1505
Joined: Thu Mar 31, 2005 11:40 pm
Location: USA

Postby kenclouser » Tue Oct 23, 2007 4:21 pm

Hi All,
Many of the Vista OS's security functions are NOT compatible with XP and earlier OS. That is why many popular software like McAfee, Symantec and others have to release a Vista version for their range of software.

rtProtectMgt IS NOT COMPATIBLE with Vista due to the fact that at the time of development, many algorithms were based on XP/98 codes. As such, there will be error if you attempt to use any of the security and encryption functions in your PUB running on Vista OS.

In general, all security/encryption functions in all our plug-ins may not work on Vista.

There are no plans to have a Vista-supported functions at the moment due to the lack of availability on open-source algorithms at the moment.


We apologise for any inconvenience caused.

Regards
Ronnie
User avatar
kenclouser
 
Posts: 8
Joined: Wed May 25, 2005 8:20 pm
Location: Ohio, USA

Postby Larryf » Sat Nov 03, 2007 6:42 pm

Guess I'm lucky. My rtProtect routines (primarily reg codes) that were originally written using XP are still working with Vista.

The problem I had with Vista was with another plug-in, which I now use a different method. At the time, there wasn't a Vista version available of this plug-in (file stream).
Larry
NeoBook 5.5
Larryf
 
Posts: 8
Joined: Sun Jul 09, 2006 10:17 am


Return to Distributing, Marketing and Selling NeoBook Applications

Who is online

Users browsing this forum: No registered users and 2 guests